## org.eclipse.datatools.modelbase.sql.query
Interface GroupingSetsElementSublist

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, GroupingSetsElement, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface GroupingSetsElementSublist

extends GroupingSetsElement

A representation of the model object 'SQL Grouping Sets Element Sublist'.

The following features are supported:

- `Grouping Sets Element Expr List`

See Also:
  `SQLQueryModelPackage.getGroupingSetsElementSublist()`

Method Summary
`org.eclipse.emf.common.util.EList` `getGroupingSetsElementExprList()` Returns the value of the 'Grouping Sets Element Expr List' containment reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.GroupingSetsElement
`getGroupingSets, setGroupingSets`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroupingSetsElementExprList

    org.eclipse.emf.common.util.EList getGroupingSetsElementExprList()

  Returns the value of the 'Grouping Sets Element Expr List' containment reference list. The list contents are of type `GroupingSetsElementExpression`. It is bidirectional and its opposite is '`Grouping Sets Element Sublist`'.

  If the meaning of the 'Grouping Sets Element Expr List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grouping Sets Element Expr List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getGroupingSetsElementSublist_GroupingSetsElementExprList()`, `GroupingSetsElementExpression.getGroupingSetsElementSublist()`